%define url_ver %(echo %{version} | cut -d "." -f -2)

%define major	1
%define gir_major	3.0
%define libname	%mklibname %{name}-extension %{major}
%define girname	%mklibname %{name}-gir %{gir_major}
%define develname	%mklibname -d %{name}

Summary: File manager for the GNOME desktop environment
Name: nautilus
Version: 3.16.3
Release: 1
Group: File tools
License: GPLv2+
URL: http://www.gnome.org/projects/nautilus/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/nautilus/%{url_ver}/%{name}-%{version}.tar.xz
Patch1: nautilus-3.8.2-streaming.patch
Patch2: trash-desktop-shortcut-localization.patch
#Patch3: nautilus-3.12.2-bookmarks.patch

BuildRequires:	intltool
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.13
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:  pkgconfig(tracker-sparql-1.0)

Requires(post,postun): shared-mime-info desktop-file-utils

%description
Nautilus is an excellent file manager for the GNOME desktop environment.

%package -n %{libname}
Summary:        Libraries for Nautilus File manager
Group:          System/Libraries
Obsoletes:	%{_lib}nautilus1 < 3.4.1-1
Provides:	%{name}-extensions = %{version}-%{release}

%description -n %{libname}
Nautilus is an excellent file manager for the GNOME desktop environment.
This package contains libraries used by Nautilus.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Conflicts:	%{libname} < 3.2.1

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:	Libraries and include files for developing nautilus components
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
%rename		%{name}-devel
Obsoletes:	%{libname}-devel

%description -n %{develname}
This package provides the necessary development libraries and include 
files to allow you to develop nautilus components.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-update-mimedb \
	--disable-schemas-compile

%make

%install
%makeinstall_std
find %{buildroot} -name "*.la" -exec rm -rf {} \;

mkdir -p %{buildroot}%{_localstatedir}/lib/gnome/desktop \
	%{buildroot}%{_datadir}/nautilus/default-desktop \
	%{buildroot}%{_libdir}/nautilus/extensions-2.0

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc README NEWS HACKING AUTHORS MAINTAINERS
%dir %{_localstatedir}/lib/gnome/desktop
%dir %{_localstatedir}/lib/gnome/
%{_sysconfdir}/xdg/autostart/nautilus-autostart.desktop
%{_bindir}/*
%{_libexecdir}/nautilus-convert-metadata
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-2.0
%dir %{_libdir}/nautilus/extensions-3.0
%{_libdir}/nautilus/extensions-3.0/libnautilus-sendto.so
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/org.freedesktop.FileManager1.service
%{_datadir}/dbus-1/services/org.gnome.Nautilus.service
%{_datadir}/gnome-shell/search-providers/nautilus-search-provider.ini
%{_datadir}/GConf/gsettings/nautilus.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nautilus.gschema.xml
%{_datadir}/nautilus
%{_datadir}/appdata/*.xml
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libnautilus*.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Nautilus-%{gir_major}.typelib

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/libnautilus-extension
%{_datadir}/gir-1.0/Nautilus-%{gir_major}.gir


%changelog

* Thu Dec 10 2015 Tigro <ashejn@gmail.com> 3.16.3-1
- (12f461a) update to 3.16.3

* Thu May 14 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (6a2e009) update to 3.16.2

* Thu Apr 16 2015 Tigro <ashejn@yandex-team.ru> 3.16.1-1
- (9253732) update to 3.16.1

* Wed Mar 25 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-1
- (bb20b8b) update to 3.16.0

* Tue Mar 17 2015 Tigro <ashejn@gmail.com> 3.15.92-1
- (5195cc0) update to 3.15.92

* Thu Mar 12 2015 Tigro <ashejn@yandex-team.ru> 3.15.91-1
- (6540b11) update trash-desktop-shortcut-localization.patch
- (Tigro: 5bf1d91) update to 3.15.91

* Tue Mar 10 2015 Tigro <ashejn@yandex-team.ru> 3.15.90-1
- (42a7e8b) drop some files
- (Tigro: df2b755) upload source
- (Tigro: 6665d69) update to 3.15.90

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.2-3
- (e69a7a1) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Tigro <ashejn@gmail.com> 3.12.2-2
- (23ea14c) apply rosa bookmark patch

* Fri May 16 2014 Tigro <ashejn@gmail.com> 3.12.2-1
- (2c120b3) drop automake
- (Tigro: e8fe923) update to 3.12.2

* Mon Apr 28 2014 Tigro <ashejn@gmail.com> 3.12.0-1
- (ee536c6) drop %doc in devel
- (Tigro: 22c5822) pack files
- (Tigro: d18486a) update to 3.12.0

* Tue Mar 04 2014 Tigro <ashejn@gmail.com> 3.8.2-6
- (7eab16c) apply some upstream patches

* Mon Feb 17 2014 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.2-5
- (e99eb9f) Updated desktop links localization.

* Wed Feb 05 2014 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.2-4
- (fabaf62) Added localization patch for desktop shortcuts of home and trash.

* Thu Sep 26 2013 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.2-3
- (12d70bc) Ported back fallback background support.
- (12d70bc) Added fix for remote media streaming.

* Mon Aug 05 2013 Tigro <ashejn@gmail.com> 3.8.2-2
- (9b44fc1) fix typo
- (Tigro: c530d4f) added P: %{name}-extension

* Thu Jun 20 2013 root <root@localhost.localdomain> 3.8.2-1
- (03fdefe) sync to gnome38 branch

* Fri Dec 07 2012 Arkady Shane <ashejn@gmail.com> 3.6.3-1
- (081f04d) update to 3.6.3

* Mon Oct 29 2012 Arkady Shane <ashejn@gmail.com> 3.6.1-1
- (c348b39) update to 3.6.1

* Tue Oct 02 2012 Arkady L. Shane <arkady.shane@rosalab.ru> 3.6.0-1
- (20554f1) update to 3.6.0

* Thu Aug 30 2012 Sergey A. Sokolov <sokol@mtik.ru> 3.4.2-1
- (7441c2d) up to 3.4.2
- (Rosa: 52b7f24) Automatic import for version 3.4.2

* Sat May 05 2012 Rosa <rosa@rosa-build.rosalab.ru> 3.4.1-1
- (45553a8) Automatic import for version 3.4.1


